Opened 10 years ago

Closed 10 years ago

Last modified 7 years ago

#990 closed bug (fixed)

hi version is read too late

Reported by: simonmar Owned by:
Priority: normal Milestone: 6.8.1
Component: Compiler Version: 6.7
Keywords: Cc:
Operating System: Unknown/Multiple Architecture: Unknown/Multiple
Type of failure: None/Unknown Test Case: N/A
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:

Description

The version in an interface file is currently being checked too late, which means that GHC gets confused by out of date .hi files instead of emitting a proper error message. (bug isn't in 6.6, only HEAD).

Change History (6)

comment:1 Changed 10 years ago by igloo

Test Case: N/A

comment:2 Changed 10 years ago by simonmar

Resolution: fixed
Status: newclosed

Now fixed.

comment:3 Changed 9 years ago by igloo

Milestone: 6.8 branch6.8.1

comment:4 Changed 8 years ago by simonmar

Architecture: UnknownUnknown/Multiple

comment:5 Changed 8 years ago by simonmar

Operating System: UnknownUnknown/Multiple

comment:6 Changed 7 years ago by simonmar

difficulty: Easy (1 hr)Easy (less than 1 hour)
Note: See TracTickets for help on using tickets.